<bugID>614567<Summary>Bookmarks menu button always shows text when on bookmarks toolbar</Summary><Description>User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:2.0b7) Gecko/20100101 Firefox/4.0b7
Build Identifier: Mozilla/5.0 (X11; Linux x86_64; rv:2.0b7) Gecko/20100101 Firefox/4.0b7

I have configured my bookmarks toolbar to have the "Bookmarks" button, that when clicked shows a drop down bookmarks menu (not the button that shows/hides the bookmarks sidebar). The button always has text next to it, and there I see no way to hide the text.

Should this not follow the show icons/text/both preference ? Setting the preference to "text" hides the buttons icon, so it does not seem right that setting the preference to "icon" does not hide the text.

On my bookmarks bar, this button is next to shortcuts for which I only display the favicon, without descriptive text. I would like that the bookmarks button have no text either.

Also, and related, the button to show the bookmarks menu and the button to show the bookmarks sidebar have the same icon.

[Firefox version 4 beta 7 downloaded from Mozilla site, what should I set the Firefox version for this bug report to ? Trunk ?]

Reproducible: Always

Steps to Reproduce:
Put the bookmarks button in your bookmarks bar.
Turn off text for toolbars : icons only.</Description></bugID>